GNU bug report logs - #51155
29.0.50; Incorrect weight used in Cantarell VF

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Utkarsh Singh <utkarsh190601@HIDDEN>; merged with #28351, #32210; dated Tue, 12 Oct 2021 11:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 28351 32210 51155. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51155 <at> debbugs.gnu.org:


Received: (at 51155) by debbugs.gnu.org; 13 Oct 2021 20:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 16:29:16 2021
Received: from localhost ([127.0.0.1]:33677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maksG-0006kf-88
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 16:29:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1maksD-0006kO-Dk
 for 51155 <at> debbugs.gnu.org; Wed, 13 Oct 2021 16:29:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LO8Fjjwfkgl8NCOhs940UM+Mz8MPCBTO9TBxH2KS9HI=; b=htQg+ygyqIrj8cLcaN5YsO/grV
 ctBHSkAFoWAVTPtbm8x2AdZLCdBFE0yzYU0FzDkRGtKW/V8CaKg0CyRhjem2Iqn/soQoTFcddWqW6
 QubyNsW9VnqPKpX/dMZ/jypaNZHrK0l+cgl8ywihKy7PgmM5FnMU+bDdmy8zJxdsBsVM=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1maks4-0003Ir-7h; Wed, 13 Oct 2021 22:29:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF
References: <87wnmipk82.fsf@HIDDEN> <838ryxp31h.fsf@HIDDEN>
 <871r4phtzn.fsf@HIDDEN> <87h7dl9bva.fsf@HIDDEN>
 <83wnmgnbud.fsf@HIDDEN>
X-Now-Playing: Boris's _No World Tour -In Your Head- 2021_: "Interlude"
Date: Wed, 13 Oct 2021 22:29:00 +0200
In-Reply-To: <83wnmgnbud.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 13 Oct
 2021 19:11:54 +0300")
Message-ID: <87wnmg1xf7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Weight table: >> >>
 | Face | Weight | >> |+--------| >> | Extra bold | 205 | >> | Bold | 200
 | >> | Regular | 80 | >> | Light | 50 | > > I think that's the problem: Emacs
 thinks that Re [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51155
Cc: Utkarsh Singh <utkarsh190601@HIDDEN>, 51155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Weight table:
>> 
>> | Face       | Weight |
>> |------------+--------|
>> | Extra bold |    205 |
>> | Bold       |    200 |
>> | Regular    |     80 |
>> | Light      |     50 |
>
> I think that's the problem: Emacs thinks that Regular should have the
> weight of 100, see font.c.

So this is basically bug#32210 again, I think?

When we last discussed this (a couple years ago), I said I'd try to look
into this complex issue, so perhaps now's the time.  I'll start poking
at this morass tomorrow, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.

Message received at 51155 <at> debbugs.gnu.org:


Received: (at 51155) by debbugs.gnu.org; 13 Oct 2021 16:12:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 12:12:05 2021
Received: from localhost ([127.0.0.1]:33145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1magrM-0005hu-VS
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 12:12:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1magrM-0005hQ-9o
 for 51155 <at> debbugs.gnu.org; Wed, 13 Oct 2021 12:12:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37958)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1magrH-00041w-3u; Wed, 13 Oct 2021 12:11:59 -0400
Received: from [87.69.77.57] (port=1437 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1magrG-0003fj-Nh; Wed, 13 Oct 2021 12:11:59 -0400
Date: Wed, 13 Oct 2021 19:11:54 +0300
Message-Id: <83wnmgnbud.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
In-Reply-To: <87h7dl9bva.fsf@HIDDEN> (message from Utkarsh Singh on Wed, 13
 Oct 2021 21:05:05 +0530)
Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF
References: <87wnmipk82.fsf@HIDDEN> <838ryxp31h.fsf@HIDDEN>
 <871r4phtzn.fsf@HIDDEN> <87h7dl9bva.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51155
Cc: 51155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Utkarsh Singh <utkarsh190601@HIDDEN>
> Cc: 51155 <at> debbugs.gnu.org
> Date: Wed, 13 Oct 2021 21:05:05 +0530
> 
> >> What are the numerical values of weight in these fonts?
> >
> > Can you please tell me how I can get this info?
> 
> Weight table:
> 
> | Face       | Weight |
> |------------+--------|
> | Extra bold |    205 |
> | Bold       |    200 |
> | Regular    |     80 |
> | Light      |     50 |

I think that's the problem: Emacs thinks that Regular should have the
weight of 100, see font.c.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.

Message received at 51155 <at> debbugs.gnu.org:


Received: (at 51155) by debbugs.gnu.org; 13 Oct 2021 15:34:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 11:34:21 2021
Received: from localhost ([127.0.0.1]:33086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1magGq-0004iz-PT
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:34:21 -0400
Received: from mail-pj1-f47.google.com ([209.85.216.47]:33342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1magGo-0004in-Nv
 for 51155 <at> debbugs.gnu.org; Wed, 13 Oct 2021 11:34:19 -0400
Received: by mail-pj1-f47.google.com with SMTP id
 q10-20020a17090a1b0a00b001a076a59640so3882611pjq.0
 for <51155 <at> debbugs.gnu.org>; Wed, 13 Oct 2021 08:34:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=CYH/PdAx49UjX1q9BLOxlcjZz69chYcrQ//W6ZSCn40=;
 b=CdwdAfTQa8NgugAJEQ6zcXPk0Z9WW8wGUL1Co3nWRxYcu/3St6eZoFYWlK6g+14p1j
 IEqfAMAb6CQdPngHRyyBfavBN/e0SM9xcZe+pGC3EEsXUqLDP1gZ/cUYwxyaUz8/8UQm
 Il1bf7RNAzEDq42HmvSxFBCfPcGz+1vNNcmRxn3OVTta/WhFIH0xzRs9nwv3zlf3R3S9
 XV0e6VLHuvYca71DvfyYIOQdjkDN3+s085wXS9Hm6HSqaJMRvWrT5tVjUF/hxD3NacB6
 cKSe7WtW8/t3nyfBuVBCp7Tx5tlPom4HMgq/4AkxbMOQpUmgl+NTEOwrN3newawdcD2s
 wnnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=CYH/PdAx49UjX1q9BLOxlcjZz69chYcrQ//W6ZSCn40=;
 b=B3EvWwAH77X3vCQk2fF6UPKufeCQbj0rynrCIkeHew+NUxYlYze/CHfWjXYam8FW5M
 FnZFAPJ9ZIKgnK8WnnVAIvPWCJJriWL34vyGLJm48Xk2G9q+2R7zqlzOBdXwennVmOS2
 pcQrc0k3PT6OINXR4GR834fxKQjPGDOovtKwhseRZbjJpc6iwUMs9vciI6MOtme6ffgu
 r8iOC2PpbcJlyecUN2bLOOa1U0iZEoXP4b7XZC8+MW/Xx+In1SfZG/pDlQ7iL5bT76Kj
 oIPCRtOvxfyH4O9TwZzFJopco1FXmXR9utZt6AXrEUqnhDly33jGY6bE5ddxiSg7/HMh
 Ks+A==
X-Gm-Message-State: AOAM5304N3w1C9BZlZfNC0JonC34A3WLlvh1zKx1n+kDKonEfHbbwpRe
 J4tzvkf44JdyX3/vFKWb+529ckNSLvw=
X-Google-Smtp-Source: ABdhPJwE2F9VfW9ZFJuNusmgawsZ2pAcUYjWeC7sbK+JWsvQIvo19GojNmg+zmAyZ9WRE3WAuMwtfw==
X-Received: by 2002:a17:90a:430e:: with SMTP id
 q14mr14046594pjg.55.1634139252814; 
 Wed, 13 Oct 2021 08:34:12 -0700 (PDT)
Received: from localhost ([43.230.65.172])
 by smtp.gmail.com with ESMTPSA id s25sm14340363pfm.138.2021.10.13.08.34.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Oct 2021 08:34:12 -0700 (PDT)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF
In-Reply-To: <871r4phtzn.fsf@HIDDEN>
References: <87wnmipk82.fsf@HIDDEN> <838ryxp31h.fsf@HIDDEN>
 <871r4phtzn.fsf@HIDDEN>
Date: Wed, 13 Oct 2021 21:05:05 +0530
Message-ID: <87h7dl9bva.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2021-10-13, 20:06 +0530,
 Utkarsh Singh wrote: > On 2021-10-13, 
 14:39 +0300, Eli Zaretskii wrote: > >> What are the numerical values of weight
 in these fonts? > > Can you please tell me how I can get this info? 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (utkarsh190601[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: utkarshsingh.xyz (xyz)]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (utkarsh190601[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.216.47 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.216.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 51155
Cc: 51155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2021-10-13, 20:06 +0530, Utkarsh Singh wrote: > On 2021-10-13,
    14:39 +0300, Eli Zaretskii wrote: > >> What are the numerical values of weight
    in these fonts? > > Can you please tell me how I can get this info? 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.216.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.216.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (utkarsh190601[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: utkarshsingh.xyz (xyz)]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (utkarsh190601[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

On 2021-10-13, 20:06 +0530, Utkarsh Singh <utkarsh190601@HIDDEN> wrote:

> On 2021-10-13, 14:39 +0300, Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> What are the numerical values of weight in these fonts?
>
> Can you please tell me how I can get this info?

Weight table:

| Face       | Weight |
|------------+--------|
| Extra bold |    205 |
| Bold       |    200 |
| Regular    |     80 |
| Light      |     50 |

Also see fc-query output attached with this email.

-- 
Utkarsh Singh
https://utkarshsingh.xyz/

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=cantarell-query.txt
Content-Description: query-output

Pattern has 26 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	style: "Regular"(s)
	stylelang: "en"(s)
	fullname: "Cantarell Regular"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 80(f)(s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 0(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	postscriptname: "Cantarell-Regular"(s)
	color: False(s)
	symbol: False(s)
	variable: False(s)
	fonthashint: False(s)
	order: 0(i)(s)

Pattern has 26 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	style: "Thin"(s)
	stylelang: "en"(s)
	fullname: "Cantarell Thin"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 0(f)(s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 65536(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	postscriptname: "Cantarell_100wght"(s)
	color: False(s)
	symbol: False(s)
	variable: False(s)
	fonthashint: False(s)
	order: 0(i)(s)

Pattern has 26 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	style: "Light"(s)
	stylelang: "en"(s)
	fullname: "Cantarell Light"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 50(f)(s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 131072(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	postscriptname: "Cantarell_300wght"(s)
	color: False(s)
	symbol: False(s)
	variable: False(s)
	fonthashint: False(s)
	order: 0(i)(s)

Pattern has 26 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	style: "Bold"(s)
	stylelang: "en"(s)
	fullname: "Cantarell Bold"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 200(f)(s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 262144(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	postscriptname: "Cantarell_700wght"(s)
	color: False(s)
	symbol: False(s)
	variable: False(s)
	fonthashint: False(s)
	order: 0(i)(s)

Pattern has 26 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	style: "Extra Bold"(s)
	stylelang: "en"(s)
	fullname: "Cantarell Extra Bold"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 205(f)(s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 327680(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	postscriptname: "Cantarell_800wght"(s)
	color: False(s)
	symbol: False(s)
	variable: False(s)
	fonthashint: False(s)
	order: 0(i)(s)

Pattern has 21 elts (size 32)
	family: "Cantarell"(s)
	familylang: "en"(s)
	slant: 0(i)(s)
	weight: [0 205](s)
	width: 100(f)(s)
	foundry: "ABAT"(s)
	file: "/usr/share/fonts/cantarell/Cantarell-VF.otf"(s)
	index: 0(i)(s)
	outline: True(s)
	scalable: True(s)
	charset: 
	0000: 00000000 ffffffff ffffffff 7fffffff 00000000 ffffffff ffffffff ffffffff
	0001: ffffffff fff3ffff fffffdff 7fffffff 00048000 00018003 1ffffff0 fc000cc0
	0002: 0fffffff 008f3c00 02000000 00000000 00000000 de000000 3f001fc0 00000000
	0003: 0806bfdf 01e243d8 00000000 04200000 ffffd770 fffffffb 00807fff 00000000
	0004: ffffffff ffffffff ffffffff 003c0c0c 3fff0000 0fcfcc3f f3ff9807 03ffc3fc
	0005: 3c000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	001e: 30f0f300 0cc3cc33 cc0ff3fc 0f00f3ff 408cc03f ffffffff ffffffff 03ffffff
	001f: 3f3fffff ffffffff aaff3f3f 3fffffff ffffffff ffdfffff 6fcfffdf 7fdcffff
	0020: 773f0fff 063d0047 00040010 03f10000 000003ff 37367ada 00000000 00000000
	0021: 00480000 00004044 ffff0000 00000000 000f0200 00000000 00000000 00000000
	0022: 46268064 00400800 00000100 00000037 00000000 00000000 00000000 00000000
	0024: 00000000 00000008 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00008c00 00000000
	0027: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000300
	00a7: 00000000 00000000 00000000 00000000 00001800 00000000 00000000 00000000
	00fb: 00000006 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: aa|ast|av|ay|az-az|ba|be|bg|bi|bin|br|bs|bua|ca|ce|ch|chm|co|cs|cv|cy|da|de|el|en|eo|es|et|eu|fi|fj|fo|fr|fur|fy|gd|gl|gn|gv|haw|ho|hr|hu|ia|ig|id|ie|ik|io|is|it|kaa|ki|kk|kl|ku-am|kum|kv|kw|ky|la|lb|lez|lt|lv|mg|mh|mk|mo|mt|nb|nds|nl|nn|no|nr|nso|ny|oc|om|os|pl|pt|rm|ro|ru|sah|se|sel|sh|sk|sl|sm|sma|smj|smn|so|sq|sr|ss|st|sv|sw|tg|tk|tl|tn|to|tr|ts|tt|tyv|uk|uz|vi|vo|vot|wa|wen|wo|xh|yap|zu|an|crh|csb|fil|hsb|ht|jv|kj|ku-tr|kwm|lg|li|mn-mn|ms|na|ng|nv|pap-an|pap-aw|qu|quz|rn|rw|sc|sg|sn|su|ty|za(s)
	fontversion: 19857(i)(s)
	capability: "otlayout:DFLT otlayout:latn"(s)
	fontformat: "CFF"(s)
	decorative: False(s)
	color: False(s)
	symbol: False(s)
	variable: True(s)
	fonthashint: False(s)
	order: 0(i)(s)


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.

Message received at 51155 <at> debbugs.gnu.org:


Received: (at 51155) by debbugs.gnu.org; 13 Oct 2021 14:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 10:35:45 2021
Received: from localhost ([127.0.0.1]:32990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mafM8-0003FE-Q2
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 10:35:44 -0400
Received: from mail-pl1-f179.google.com ([209.85.214.179]:40496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1mafM6-0003Ez-8S
 for 51155 <at> debbugs.gnu.org; Wed, 13 Oct 2021 10:35:43 -0400
Received: by mail-pl1-f179.google.com with SMTP id v20so1937549plo.7
 for <51155 <at> debbugs.gnu.org>; Wed, 13 Oct 2021 07:35:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=eAdvBjGxybceKDY7dnz5SeEcbAuRCBALzOGQfBBMGhk=;
 b=F+g/BbbhYQFioBkGOWRP77BVIwnCQfoHbyxN8Ncqddw32pZqiA6FYqc6NeiHxPuWN8
 cqMlgz/Sy4NLvKBzPezKbrd5HYta2BpPv/mP9U9AUxycHNMADyIk5IIjOGTRH3mGDWtY
 uGX+rVc7jXGdy9ht/lSPJMGNYt6OOada9XUzPaZWnXAjfME67fjTfbsYJ3XioFvO5E7S
 YvZrkNO25MM+vB+RO1ooZfWmb4dkFGU9dDkPJL+e5Yg+IyWkyN+p1wHS6o/Kh1moJiig
 oMAXbHeHHh8WfOvpOYIMVpDdxEtf0NIbVgHgnQx/37oqJeagMCsB+5CU8LXduNhf1jy8
 Es1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=eAdvBjGxybceKDY7dnz5SeEcbAuRCBALzOGQfBBMGhk=;
 b=k+Z5+ocFZHFim6ayW3AxifDWkE6Rwpo5eFGQRKyuMQufm9Pj+2doAQQNtBfZAXE0sN
 pfG7PeyOqgmlk7p9kfCuYGF/lpYva61g/tQffAsi9Pmt/yTbxuFjqU8jBqIMRwf271HR
 NbGcIf5W5BYDBUboVAtaIQ4NjGGZthReo4K3DoYKOjL6Wgh3BJZPXzp6Ioxi4aUIaU9z
 0YMG7whxGyHLVco+lYDrdwf20HDAWIHE9qQGF8GDZhkQsQLGDH/usQuj02wk7wuljfyA
 4+J0XpvdXVxBBFOhYimb0CVe5hpdmJAGH7YQdGI/3ZyfjfgL0dLFIoIDFptvbiLeu+d9
 B2vw==
X-Gm-Message-State: AOAM530u0wr7X/iG7BmRxv9OfaZ925NqkEH+wOKCBAad8tPJKmco1RB6
 f+cqxLbLhnsaBtLd/NFHFf8FS+vES0k=
X-Google-Smtp-Source: ABdhPJxRlDUeSz94OqC7w7ODAlkymQ6poNNrv5xXMF235f4FUcDmD0ngHtwu2glXjEPN9ri90uQ2dQ==
X-Received: by 2002:a17:90b:3850:: with SMTP id
 nl16mr13646615pjb.127.1634135736272; 
 Wed, 13 Oct 2021 07:35:36 -0700 (PDT)
Received: from localhost ([43.230.65.172])
 by smtp.gmail.com with ESMTPSA id t13sm6203959pjg.25.2021.10.13.07.35.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Oct 2021 07:35:35 -0700 (PDT)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF
In-Reply-To: <838ryxp31h.fsf@HIDDEN>
References: <87wnmipk82.fsf@HIDDEN> <838ryxp31h.fsf@HIDDEN>
Date: Wed, 13 Oct 2021 20:06:28 +0530
Message-ID: <871r4phtzn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2021-10-13, 14:39 +0300, Eli Zaretskii wrote: > What are
 the numerical values of weight in these fonts? Can you please tell me how
 I can get this info? 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (utkarsh190601[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: utkarshsingh.xyz (xyz)]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (utkarsh190601[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: utkarshsingh.xyz]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.214.179 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.214.179 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 51155
Cc: 51155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2021-10-13, 14:39 +0300, Eli Zaretskii wrote: > What are
    the numerical values of weight in these fonts? Can you please tell me how
    I can get this info? 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: utkarshsingh.xyz]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.214.179 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.214.179 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (utkarsh190601[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: utkarshsingh.xyz (xyz)]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (utkarsh190601[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On 2021-10-13, 14:39 +0300, Eli Zaretskii <eliz@HIDDEN> wrote:

> What are the numerical values of weight in these fonts?

Can you please tell me how I can get this info?

-- 
Utkarsh Singh
https://utkarshsingh.xyz/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.

Message received at 51155 <at> debbugs.gnu.org:


Received: (at 51155) by debbugs.gnu.org; 13 Oct 2021 11:39:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 07:39:21 2021
Received: from localhost ([127.0.0.1]:58626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1macbR-0004Km-0V
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:39:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1macbN-0004KZ-Vc
 for 51155 <at> debbugs.gnu.org; Wed, 13 Oct 2021 07:39:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54818)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1macbI-0006pG-Lc; Wed, 13 Oct 2021 07:39:12 -0400
Received: from [87.69.77.57] (port=4226 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1macbI-0008QG-2A; Wed, 13 Oct 2021 07:39:12 -0400
Date: Wed, 13 Oct 2021 14:39:06 +0300
Message-Id: <838ryxp31h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Utkarsh Singh <utkarsh190601@HIDDEN>
In-Reply-To: <87wnmipk82.fsf@HIDDEN> (message from Utkarsh Singh on Tue, 12
 Oct 2021 16:45:41 +0530)
Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF
References: <87wnmipk82.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51155
Cc: 51155 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Utkarsh Singh <utkarsh190601@HIDDEN>
> Date: Tue, 12 Oct 2021 16:45:41 +0530
> 
> On 2021-09-21, Arch Linux updated their Cantarell font package, which
> removed classic font with variable fonts.  According to Jan Alexander
> Steffens (package maintainer):
> 
> > Yeah, we only packaged VF because upstream requested to either package
> > the classic fonts *or* the variable font. The VF is more powerful as
> > it not just contains all the classic weights but can also interpolate
> > between them.
> 
> But with these changes Emacs in now unable to distinguish between light
> and regular weights.  To reproduce the bug you would have to:
> 
> 1. Install latest version of font from upstream:
> <https://gitlab.gnome.org/GNOME/cantarell-fonts>
> 
> 2. Evaluate in "emacs -Q" session:
> (progn
>   (set-face-attribute 'variable-pitch nil :family "Cantarell" :weight 'regular)
>   (face-font 'variable-pitch))
> 
> Also see bug report on Arch Linux bug tracker:
> <https://bugs.archlinux.org/task/72212>

What are the numerical values of weight in these fonts?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2021 11:14:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 07:14:59 2021
Received: from localhost ([127.0.0.1]:33629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maFkI-0007Yj-C6
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 07:14:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:33716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <utkarsh190601@HIDDEN>) id 1maFkF-0007Ya-P0
 for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 07:14:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33602)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1maFkF-0005Dj-Fv
 for bug-gnu-emacs@HIDDEN; Tue, 12 Oct 2021 07:14:55 -0400
Received: from mail-pg1-x534.google.com ([2607:f8b0:4864:20::534]:42815)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <utkarsh190601@HIDDEN>)
 id 1maFkD-00081I-Q5
 for bug-gnu-emacs@HIDDEN; Tue, 12 Oct 2021 07:14:55 -0400
Received: by mail-pg1-x534.google.com with SMTP id 66so13563270pgc.9
 for <bug-gnu-emacs@HIDDEN>; Tue, 12 Oct 2021 04:14:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=cPGgzO0iOdGe0FqpcZZAtIYGb/dVVb0wKlNmg0AG4S4=;
 b=JUfC6+tE+/5O+57RDtDbvSOGtb5zh4d/f6pz67+sPgnXqNFScE9/9AJjY6Bm66rSiz
 exR/HtGDeW0/7gMlAYpXdeuAk00xea+pn/hZyuMCaDjhy2puKZGkZFDu+YytNjBM5Oqq
 SNKn3W/XS4RJuW+gGAzyC545D6SEcDEfPY157IEzEJVgUbyVGx8TmkOt7pe9Rm2zAxjk
 jrk19NJzPndgWoG6q5RX6RgE8rT5+PjBxgfo+IjQBV5XfHvfLm5iM/iHglxkDqfpj6+C
 Z+6pvtf0XSQ+Y6zDD2DSCgmGelINwjV4JCFChOAqo7BAU9S0bjwdhl6HJA4VGryfa1JG
 zdDQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=cPGgzO0iOdGe0FqpcZZAtIYGb/dVVb0wKlNmg0AG4S4=;
 b=DDUkS5JGaS9pHB30smv7yO+sQrM/XAdCHTUUXZR6mUA0Ch99n1eBuVIq7hf+DdF3sw
 aKo/Psw1lnDQcyVArW8LFU2EJNk3rHaEInKO33RNTqFEaaw772F1icW27Rkbuek7wuE9
 M9h8DG/X6dOi85nRVOHPW1fDRPuZ8hFfpjQwe5QpJuygMq1FQU0zIdClkZPF10f4vcXc
 Joqc+qEbCkz0QSmPDj1SBIIgbCO5fatLD6X3WaX6ggXeWbfsMLpLeMF7SzFPL5u1i7zC
 DO/jj4Zcpg1U9UuchblJjCN5l0ohgHDWUaBvQeFiUF9EnV8gNwuFuXCAcdsNZ4WrTjS9
 hBhA==
X-Gm-Message-State: AOAM53325Hxw2MAJMbgVhd1xRz65r/zbFtzyyESiQfrC8n2H94pu51cT
 qPjZOqLcZQw4bVmo6RlDueFQ+vDrGpk=
X-Google-Smtp-Source: ABdhPJyg2SRd5RU1vj1fAfYG481S11jJ+Ljg4Vx/KCr5U+m2KrPUHSzSeBKHPTEtjQ/7FWuIrRFCjg==
X-Received: by 2002:a63:fe4f:: with SMTP id x15mr22066250pgj.424.1634037290852; 
 Tue, 12 Oct 2021 04:14:50 -0700 (PDT)
Received: from localhost ([43.230.65.172])
 by smtp.gmail.com with ESMTPSA id z71sm9682970pfc.19.2021.10.12.04.14.49
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Oct 2021 04:14:50 -0700 (PDT)
From: Utkarsh Singh <utkarsh190601@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Incorrect weight used in Cantarell VF
Date: Tue, 12 Oct 2021 16:45:41 +0530
Message-ID: <87wnmipk82.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::534;
 envelope-from=utkarsh190601@HIDDEN; helo=mail-pg1-x534.google.com
X-Spam_score_int: 1
X-Spam_score: 0.1
X-Spam_bar: /
X-Spam_report: (0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, PDS_OTHER_BAD_TLD=1.999, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

Hi,

On 2021-09-21, Arch Linux updated their Cantarell font package, which
removed classic font with variable fonts.  According to Jan Alexander
Steffens (package maintainer):

> Yeah, we only packaged VF because upstream requested to either package
> the classic fonts *or* the variable font. The VF is more powerful as
> it not just contains all the classic weights but can also interpolate
> between them.

But with these changes Emacs in now unable to distinguish between light
and regular weights.  To reproduce the bug you would have to:

1. Install latest version of font from upstream:
<https://gitlab.gnome.org/GNOME/cantarell-fonts>

2. Evaluate in "emacs -Q" session:
(progn
  (set-face-attribute 'variable-pitch nil :family "Cantarell" :weight 'regular)
  (face-font 'variable-pitch))

Also see bug report on Arch Linux bug tracker:
<https://bugs.archlinux.org/task/72212>

-- 
Utkarsh Singh
https://utkarshsingh.xyz/




Acknowledgement sent to Utkarsh Singh <utkarsh190601@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51155; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Oct 2021 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.